<?xml version="1.0" encoding="utf-8"?>
<definitions xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:tns="https://ws.sunat.gob.pe/controladuanero/ingreso/ReconocimientoFisicoService/v1" xmlns:reqram="urn:wco:datamodel:pe:gob:sunat:controladuanero:ingreso:reconfisico:DeclaracionReconocimientoFisicoRequest:1" xmlns:rsm="urn:wco:datamodel:pe:gob:sunat:controladuanero:ingreso:reconfisico:DeclaracionReconocimientoFisicoResponse:1" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" targetNamespace="https://ws.sunat.gob.pe/controladuanero/ingreso/ReconocimientoFisicoService/v1" xmlns="http://schemas.xmlsoap.org/wsdl/">
  <documentation>
    <appinfo source="WMQI_APPINFO">
      <MRWSDLAppInfo imported="true">
        <binding hasEncoding="false" imported="true" name="ReconocimientoFisicoSoap" originalBindingStyle="document" />
      </MRWSDLAppInfo>
    </appinfo>
  </documentation>
  <types>
    <xsd:schema>
      <xsd:import schemaLocation="https://ws.sunat.gob.pe/ws/controladuanero/ReconocimientoFisicoService.htm?xsd=xsd0" namespace="urn:wco:datamodel:pe:gob:sunat:controladuanero:ingreso:reconfisico:DeclaracionReconocimientoFisicoRequest:1" />
      <xsd:import schemaLocation="https://ws.sunat.gob.pe/ws/controladuanero/ReconocimientoFisicoService.htm?xsd=xsd1" namespace="urn:wco:datamodel:pe:gob:sunat:controladuanero:ingreso:reconfisico:DeclaracionReconocimientoFisicoResponse:1" />
    </xsd:schema>
  </types>
  <message name="verificarLevanteRequest">
    <part name="parameters" element="reqram:LevanteRequest" />
  </message>
  <message name="verificarLevanteResponse">
    <part name="parameters" element="rsm:LevanteResponse" />
  </message>
  <message name="verificarProgReconFisicoRequest">
    <part name="parameters" element="reqram:ProgReconFisicoRequest" />
  </message>
  <message name="verificarProgReconFisicoResponse">
    <part name="parameters" element="rsm:ProgReconFisicoResponse" />
  </message>
  <message name="registrarSalidaAlmacenRequest">
    <part name="parameters" element="reqram:SalidaAlmacenRequest" />
  </message>
  <message name="registrarSalidaAlmacenResponse">
    <part name="parameters" element="rsm:SalidaAlmacenResponse" />
  </message>
  <portType name="ReconocimientoFisicoPortType">
    <operation name="verificarLevante">
      <input message="tns:verificarLevanteRequest" />
      <output message="tns:verificarLevanteResponse" />
    </operation>
    <operation name="verificarProgReconFisico">
      <input message="tns:verificarProgReconFisicoRequest" />
      <output message="tns:verificarProgReconFisicoResponse" />
    </operation>
    <operation name="registrarSalidaAlmacen">
      <input message="tns:registrarSalidaAlmacenRequest" />
      <output message="tns:registrarSalidaAlmacenResponse" />
    </operation>
  </portType>
  <binding name="ReconocimientoFisicoSoap" type="tns:ReconocimientoFisicoPortType">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <operation name="verificarLevante">
      <soap:operation soapAction="urn:verificarLevante" />
      <input>
        <soap:body use="literal" />
      </input>
      <output>
        <soap:body use="literal" />
      </output>
    </operation>
    <operation name="verificarProgReconFisico">
      <soap:operation soapAction="urn:verificarProgReconFisico" />
      <input>
        <soap:body use="literal" />
      </input>
      <output>
        <soap:body use="literal" />
      </output>
    </operation>
    <operation name="registrarSalidaAlmacen">
      <soap:operation soapAction="urn:registrarSalidaAlmacen" />
      <input>
        <soap:body use="literal" />
      </input>
      <output>
        <soap:body use="literal" />
      </output>
    </operation>
  </binding>
  <service name="ReconocimientoFisicoService">
    <port name="ReconocimientoFisicoPort" binding="tns:ReconocimientoFisicoSoap">
      <soap:address location="https://ws.sunat.gob.pe/ws/controladuanero/ReconocimientoFisicoService.htm" />
    </port>
  </service>
</definitions>